List custom attribute definitions
curl --request GET \
--url https://api.conduit.ai/v1/custom-attributes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.conduit.ai/v1/custom-attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conduit.ai/v1/custom-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "attr_123",
"workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
"name": "VIP Status",
"type": "Select",
"options": [
{
"value": "standard",
"color": "gray"
},
{
"value": "vip",
"color": "green"
}
],
"order": 1,
"section_id": "section_123",
"section_name": "Contact Info"
}
]
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Custom Attributes
List Custom Attribute Definitions
Retrieve all custom attribute definitions configured in your workspace.
GET
/
v1
/
custom-attributes
List custom attribute definitions
Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Query Parameters
Workspace to query.
Example:
"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"
Response
Custom attribute definitions
Custom attribute definition list.
Show child attributes
Show child attributes
Was this page helpful?
⌘I